import React, {FC, useEffect} from "react"
import {TChatWidgetProps} from "./types";
import {ChatStore, ChatStoreContext} from "./Store";
import ChatLayout from "./Components/Layout";


const ChatWidget: FC<TChatWidgetProps> = (props) => {
    const chatStore = new ChatStore({
        chatId: props.chatId,
        ownerId: props.ownerId,
        apiUrl: props.apiUrl
    });

    let chatRefreshTimer: NodeJS.Timer;
    useEffect(() => {
        if (!chatRefreshTimer) {
            chatRefreshTimer = setInterval(function timer() {
                chatStore.apiGetMessages();
                return timer
            }(), 10000);
            return () => {
                clearInterval(chatRefreshTimer);
            }

        }
    })

    return <>
        <ChatStoreContext.Provider value={chatStore}>
            <ChatLayout/>
        </ChatStoreContext.Provider>
    </>
}

export default ChatWidget;

