export type TChatWidgetProps = {
    chatId: number
    ownerId: number
    apiUrl: string
}

export type TChatLayoutProps = {}

export type TChatMessage = {
    message_id: number
    transaction_id: number
    user_id: number
    name: string
    type: "buyer" | "seller" | "system" | "admin"
    message: string
    read_by: Array<number>
    date: string
}

export type TChatMessagesCollection = Array<TChatMessage>


export type TChatWindowProps = {
    messages: TChatMessagesCollection
    onNeedMore: () => {}
    total: number
    ownerId: number
}

export type TChatConfig = {
    chatId: number,
    ownerId: number,
    apiUrl: string
}

export type TChatStoreState = "ok" | "error" | "loading";

export type TChatInputBoxProps = {
    onMessagePost: (text) => Promise<any>
}
export type TChatMessageProps = {
    message: TChatMessage
    isMine: boolean
    isSystem: boolean
}


export type TChatEventType = "ChatUpdate";

export interface TChatEvent {
    type: TChatEventType
    data: Record<any, any>
}

export type TChatEventListener = (event: TChatEvent) => void


