import React, {FC} from "react";
import {Box, Grid, Typography, useTheme} from "@mui/material";

const ListingGridHeader: FC<{ showOwner: boolean, showOrder: boolean, showStatus: boolean }> = (props) => {
    const theme = useTheme();
    return <Box
        component={Grid}
        container
        sx={{borderBottom: `1px solid ${theme.palette.secondary.light}`, marginBottom: '0.5em'}}
        display={{xs: "none", sm: "flex"}}
        spacing={2}
    >
        <Grid item xs>
            <Typography variant={'body2'} color={"secondary"}>{"Item Information"}</Typography>
        </Grid>

        {props.showOwner && <Grid item sm={2}>
            <Typography variant={'body2'} color={"secondary"}>{"Posted by"}</Typography>
        </Grid>}

        <Grid item sm={1}>
            <Typography variant={'body2'} color={"secondary"}>{"Price"}</Typography>
        </Grid>
        <Grid item sm={1}>
            <Typography variant={'body2'} color={"secondary"}>&nbsp;</Typography>
        </Grid>

    </Box>
}
export default ListingGridHeader;
