import {Box} from "@mui/material";
import React from "react";
import styled from "styled-components";

const LoadingSpan = styled.span<{ size?: number }>`
  height: 100%;
  margin-left: 1em;
  font-size: ${props => props.size ?? 1}em;
  color: ${props => props.color ?? "lightgrey"}
`
const Loading: React.FC<{ size?: number, color?: string }> = (props) => {
    return <LoadingSpan size={props.size} color={props.color}>
        <i className="fas fa-sync fa-spin"></i> {props.children}
    </LoadingSpan>
}


export const LoadingBox: React.FC<{ size?: number, color?: string }> = (props) => {
    return <Box sx={{
        minHeight: "100px",
        display: "flex",
        alignItems: "center",
        justifyContent: "center"
    }}>
        <Loading size={props.size} color={props.color}/>
    </Box>
}
export default Loading
