import {TApiResponse} from "../types";

const postData = async (url = '', data = {}): Promise<TApiResponse> => {
    const response = await fetch(url, {
        method: 'POST',
        mode: 'cors',
        cache: 'no-cache',
        credentials: 'same-origin',
        headers: {
            'Content-Type': 'application/json'
        },
        redirect: 'follow',
        referrerPolicy: 'no-referrer',
        body: JSON.stringify(data)
    });

    const json = await response.json();

    if (json.ok === false)
        throw new Error(json.errorMessage);

    return json;
}

export default postData;
