import React from 'react';
import ReactDOM from 'react-dom';
import reportWebVitals from './reportWebVitals';
import {TBlockConfig} from "./types";
import AdminCategory from "./AdminCategory";
import Marketplace from "./Marketplace";

const blocks: Array<TBlockConfig> = [
    {
        id: 'am-admin-category',
        component: AdminCategory
    },
    {
        id: 'am-marketplace',
        component: Marketplace
    }

];

for (let block of blocks) {
    let elements = document.getElementsByClassName(block.id);
    // @ts-ignore
    for (let el of elements) {
        if (el instanceof HTMLElement) {
            const Element = block.component;
            ReactDOM.render(
                <React.StrictMode>
                    <Element data={el.dataset}/>
                </React.StrictMode>,
                el
            );

        }
    }

}

reportWebVitals();
