<?php

abstract class Am_Grid_Filter_Marketplace extends Am_Grid_Filter_Abstract
{
    protected $varList = ['dat1', 'dat2', 'text', 'status'];
    
    abstract protected function applyFilter();
    
    abstract function getStatusOptions($selected);
    
    function renderInputs()
    {
        $prefix = $this->grid->getId();
        
        $filter = $this->vars ?? [];
        $filter['dat1'] = Am_Html::escape(@$filter['dat1']);
        $filter['dat2'] = Am_Html::escape(@$filter['dat2']);
        $filter['text'] = Am_Html::escape(@$filter['text']);
        $filter['status'] = Am_Html::escape(@$filter['status']);
        
        $options = $this->getStatusOptions($filter['status']);
        return <<<CUT
<div style='display: flex; align-items: center'>
<input type="text" placeholder="From" name="{$prefix}_dat1" autocomplete="off" class="datepicker" style="width:100px" value="{$filter['dat1']}" />
<input type="text" placeholder="To" name="{$prefix}_dat2" autocomplete="off" class="datepicker" style="width:100px" value="{$filter['dat2']}" />
<input type="text" name="{$prefix}_text" value="{$filter['text']}" style="width:380px;" />
<select name="{$prefix}_status">
<option value="">-- Select Status --</option>
$options
</select>
</div>

CUT;
    }
    
}