<?php declare(strict_types=1);

namespace Am\Marketplace\Slim\Controller;

use Am\Marketplace\Container;
use Am\Marketplace\Slim\Controller;
use Am\Marketplace\Slim\Response;
use Psr\Http\Message\ServerRequestInterface;

class SaveCategory extends Controller
{
    
    function __invoke(ServerRequestInterface $request, Response $response, array $args): Response
    {
        /**
         * @var Container $container
         */
        $container = $request->getAttribute('container');
        
        
        $body = $request->getParsedBody();
        
        if (empty($body['name'])) {
            return Response::jsonError(___("Category Name can't be empty"), 200);
        }
        
        if (empty($body['type_id'])) {
            return Response::jsonError(___("Type can't be empty"), 200);
        }
        
        if (empty($body['category_id'])) {
            $category = $container->getDi()->marketplaceCategoryRecord;
        } else {
            $category = $container->getDi()->marketplaceCategoryTable->load($body['category_id']);
        }
        $category->name = $body['name'];
        $category->description = $body['description'] ?? "";
        $category->parent_id = $body['parent_id'] ?? null;
        $category->type_id = $body['type_id'];
        $category->image = $body['image'];
        $category->save();
        if (empty($body['category_id'])) {
            $sort = $this->getDi()->db->selectCell("select max(sort) from ?_marketplace_category_sort where type_id=?",
                    $category->type_id) + 1;
            $this->getDi()->db->query("insert into ?_marketplace_category_sort set category_id=?, sort=?, type_id=?",
                $category->pk(),
                $sort, $category->type_id);
            $category->sort = $sort;
        } else {
            $category->sort = $this->getDi()->db->selectCell("select sort from ?_marketplace_category_sort where category_id =?",
                $category->pk());
        }
        return $response->withJson([
            'ok' => true,
            'category' => $category
        ]);
        
    }
}