<?php

namespace Am\Marketplace\Slim\Controller;

use Am\Marketplace\Slim\Controller;
use Am\Marketplace\Slim\Response;
use Psr\Http\Message\ServerRequestInterface;

class SaveSort extends Controller
{
    
    function __invoke(ServerRequestInterface $request, Response $response, array $args): Response
    {
        $body = $request->getParsedBody();
        if (empty($body['sort'])) {
            return $response->withJsonError("Sort is empty in request");
        }
        if(empty($body['type_id']))
        {
            return Response::jsonError(___('Category typoe is not set'), 200);
        }
        
        $this->getDi()->db->query("delete from ?_marketplace_category_sort where type_id=?", $body['type_id']);
        $_ = [];
        foreach ($body['sort'] as $l) {
            $_[] = sprintf("(%s, %s, %s)", $this->getDi()->db->escape($l['c']), $this->getDi()->db->escape($l['s']), $this->getDi()->db->escape($body['type_id']));
        }
        $this->getDi()->db->query("insert into ?_marketplace_category_sort (category_id, sort, type_id) values " . implode(", ",
                $_));
        return $response->withJson([
            'ok' => true
        ]);
        
    }
}