<?php

namespace Am\Marketplace\Slim\Middleware;

use Am\Marketplace\Slim\Response;
use Psr\Http\Message\ResponseInterface;
use Psr\Http\Message\ServerRequestInterface;
use Psr\Http\Server\MiddlewareInterface;
use Psr\Http\Server\RequestHandlerInterface;

class RequireUserAuth implements MiddlewareInterface
{
    
    public function process(ServerRequestInterface $request, RequestHandlerInterface $handler): ResponseInterface
    {
        $container = $request->getAttribute('container');
        
        if ($user = $container->get('auth')->getUser()) {
            return $handler->handle($request->withAttribute('user', $user));
        } else {
            return Response::jsonError(___('User is not authenticated'));
        }
        
    }
}