<?php

class Amember_Redirect
{

    static function doRedirect(XenForo_FrontController $fc, XenForo_RouteMatch &$routeMatch)
    {
        $isAjax = $fc->getRequest()->isXmlHttpRequest();

        if ($routeMatch->getControllerName() == 'XenForo_ControllerPublic_Account'
            && strpos($routeMatch->getAction(), 'security') === 0) {
            self::redirect('/profile', $isAjax, false);
        }

        if ($routeMatch->getControllerName() == 'XenForo_ControllerPublic_Login'
            || $routeMatch->getControllerName() == 'XenForo_ControllerPublic_LostPassword') {
            self::redirect('/login', $isAjax);
        }
        if ($routeMatch->getControllerName() == 'XenForo_ControllerPublic_Logout') {
            self::redirect('/logout', $isAjax);
        }
    }

    static function redirect($url, $isAjax = false, $add_back_url = true)
    {
        $base_url = XenForo_Application::get('options')->amRootUrl;

        $params = [];
        if ($add_back_url) {
            $params['_amember_redirect_url'] = base64_encode(XenForo_Application::get('options')->boardUrl);
        }

        if (isset($_POST['login'])) {
            $script = '
                <html>
                <head><title>Redirecting</title></head>
                <body>
                    <script type="text/Javascript">
                        window.onload = function(){
                            var form=document.createElement("form");
                            form.action="' . $base_url . $url . '";
                            form.method="POST";
                            document.body.appendChild(form);

                            var login = document.createElement("input");
                            login.type="hidden";
                            login.name = "amember_login";
                            login.value = "' . $_POST['login'] . '";
                            form.appendChild(login);

                            var pass = document.createElement("input");
                            pass.type ="hidden";
                            pass.name = "amember_pass";
                            pass.value = "' . $_POST['password'] . '";
                            form.appendChild(pass);

                            var url = document.createElement("input");
                            url.type ="hidden";
                            url.name = "_amember_redirect_url";
                            url.value = "' . @$params['_amember_redirect_url'] . '";
                            form.appendChild(url);

                            form.submit();
                        }
                    </script>
                </body>
                </html>
            ';
            echo $script;
            die;
        }

        $redirect = "$base_url$url" . ($params ? '?' . http_build_query($params) : '');

        if ($isAjax) {
            header("Content-Type: application/json; charset=UTF-8");
            echo json_encode([
                '_redirectStatus' => 'ok',
                '_redirectTarget' => $redirect,
                '_redirectMessage' => 'Redirect'
            ]);
        }
        else {
            header("Location: $redirect");
        }
        exit;
    }

}