<?php

class Marketplace_IndexController extends Am_Mvc_Controller
{
    use Am_Marketplace_GetModule;
    
    function preDispatch()
    {
        $user = $this->getDi()->auth->getUser();
        if ((!$this->getModule()->getConfig('free-access')) && (empty($user) || !$this->getModule()->isUserHasMarketplaceAccess($user))) {
            throw new Am_Exception_Security("Access denied!");
        }
        $this->getView()->headLink()->appendStylesheet([
            'href' => "https://fonts.googleapis.com/css?family=Roboto:300,400,500,700&display=swap",
            'rel' => 'stylesheet',
            'media' => 'screen',
            'extras' => ['crossorigin' => 'anonymous']
        ]);
        $this->getView()->headLink()->appendStylesheet([
            'href' => "https://fonts.googleapis.com/icon?family=Material+Icons",
            'rel' => 'stylesheet',
            'media' => 'screen',
            'extras' => ['crossorigin' => 'anonymous']
        ]);
        
        parent::preDispatch(); // TODO: Change the autogenerated stub
    }
    
    function indexAction()
    {
        $this->getView()->display('marketplace/index.phtml');
    }
}