import styled from "styled-components";

export const Container = styled.div`
  display: flex;
  flex-direction: column;
  font-family: -apple-system, BlinkMacSystemFont, "Segoe UI", Roboto, Oxygen-Sans, Ubuntu, Cantarell, "Helvetica Neue", sans-serif;

`
export const Row = styled.div`
  padding: 1em 1em 0.2em 0.5em;
`
export const WideInput = styled.input.attrs(props => ({type: 'text'}))<{ error?: boolean }>`
  width: 100%;
  font-family: -apple-system, BlinkMacSystemFont, "Segoe UI", Roboto, Oxygen-Sans, Ubuntu, Cantarell, "Helvetica Neue", sans-serif;
  border: ${props => props.error ? "red" : "lightgrey"} 1px solid;
  font-size: 1em;
  padding: 10px;
  border-radius: 6px;
  box-sizing: border-box;

  &:focus {
    border: grey 1px solid;
    outline: none;
  }
`

export const FormRow = styled.div`
  margin-top: 1em;
`

export const InputLabel = styled.div`
  margin: 0 0 0.5em 0;
`

export const CategoryFormContainer = styled.div`
  margin-top: 1em;
  border: 1px solid #ccc;
  padding: 1em;
  border-radius: 6px;
  box-shadow: rgba(27, 31, 35, 0.04) 0 1px 0, rgba(255, 255, 255, 0.25) 0 1px 0 inset;

`
export const SaveButton = styled.input.attrs(props => ({
    value: props.title,
    type: "submit"
}))`
  appearance: none;
  background-color: #FAFBFC;
  border: 1px solid rgba(27, 31, 35, 0.15);
  border-radius: 6px;
  box-shadow: rgba(27, 31, 35, 0.04) 0 1px 0, rgba(255, 255, 255, 0.25) 0 1px 0 inset;
  box-sizing: border-box;
  color: #24292E;
  cursor: pointer;
  display: inline-block;
  font-family: -apple-system, system-ui, "Segoe UI", Helvetica, Arial, sans-serif, "Apple Color Emoji", "Segoe UI Emoji";
  font-size: 14px;
  font-weight: 500;
  line-height: 20px;
  list-style: none;
  padding: 6px 16px;
  position: relative;
  transition: background-color 0.2s cubic-bezier(0.3, 0, 0.5, 1);
  user-select: none;
  -webkit-user-select: none;
  touch-action: manipulation;
  vertical-align: middle;
  white-space: nowrap;
  word-wrap: break-word;
  margin-right: 1em;

  &:hover {
    background-color: #F3F4F6;
    text-decoration: none;
    transition-duration: 0.1s;
  }

  &:disabled {
    background-color: #FAFBFC;
    border-color: rgba(27, 31, 35, 0.15);
    color: #959DA5;
    cursor: default;
  }

  &:active {
    background-color: #EDEFF2;
    box-shadow: rgba(225, 228, 232, 0.2) 0 1px 0 inset;
    transition: none 0s;
  }

  &:focus {
    outline: 1px transparent;
  }

  &:before {
    display: none;
  }

`

export const ErrorMessage = styled.div`
  margin: 0;
  margin-bottom: 0.4em;
  background: #f3dcdc;
  color: #ba2727;
  padding: 0.5em 1em;

`

export const CategoryListContainer = styled(Container)`
  margin-left: 2em;
`
export const CategoryItemContainer = styled.div`
  line-height: 2em;
  margin-bottom: 1em
`

export const CategoryItem = styled.div`

`

export const CategoryItemActionsContainer = styled.div`
  color: #ccc;
  font-size: 12px;
  display: flex;
  gap: 10px;
  margin-left: 1em;
`
export const CategoryItemAction = styled.a.attrs(props => ({
    href: '#form'
}))`
  color: #ccc;
  font-size: 12px;
  line-height: 12px;
`

export const ToggleChilds = styled.a.attrs(props => ({
    href: '#list'
}))`
  text-decoration: none;
  color: black;

`

