import React, {FC} from "react"
import {Button, Dialog, DialogActions, DialogContent, DialogContentText, DialogTitle} from "@mui/material";
import {TConfirmDialogProps} from "../types";


const ConfirmDialog: FC<TConfirmDialogProps> = (props) => {
    const okBtnText = props.okBtnText ?? "OK";
    const cancelBtnText = props.cancelBtnText ?? "Cancel";

    return (<Dialog
            open={props.open}
            onClose={props.onClose}
            aria-labelledby="alert-dialog-title"
            aria-describedby="alert-dialog-description"
        >
            <DialogTitle id="alert-dialog-title">
                {props.title}
            </DialogTitle>
            <DialogContent>
                <DialogContentText id="alert-dialog-description">
                    {props.children}
                </DialogContentText>
            </DialogContent>
            <DialogActions>
                <Button onClick={props.onClose}>{cancelBtnText}</Button>
                <Button onClick={props.onConfirmed} autoFocus>
                    {okBtnText}
                </Button>
            </DialogActions>
        </Dialog>
    )
}
export default ConfirmDialog;