import React, {FC, useEffect, useState} from "react"
import {TListingQtyButtonProps} from "../../types";
import {Button, ButtonGroup, TextField} from "@mui/material";

const Quantity: FC<TListingQtyButtonProps> = (props) => {

    const [qty, setQty] = useState(0);
    const changeQty = (op: "increase" | "decrease" | "set", value?: string) => {
        let newQty = qty;
        switch (op) {
            case "increase" :
                newQty = qty + 1
                break
            case "decrease" :
                newQty = qty - 1
                break
            case 'set' :
                newQty = parseInt(value ?? "1")
                break
        }
        if (isNaN(newQty)) newQty = 1;
        if (newQty < 1) newQty = 1;
        if (newQty > props.max) newQty = props.max

        setQty(newQty)
        props.onChange(newQty)
    }

    useEffect(() => {
        console.log(props.max);
        setQty(props.initial);
    }, [props.initial])

    return <ButtonGroup size={"small"}>
        <Button size={"small"} onClick={() => changeQty("decrease")}>-</Button>
        <TextField size={"small"} value={qty} sx={{width: "7ch"}}
                   onChange={(event) => changeQty("set", event.target.value)}/>
        <Button size={"small"} onClick={() => changeQty("increase")}>+</Button>
    </ButtonGroup>
}
export default Quantity