import React, {FC} from "react"
import {Tooltip, Typography} from "@mui/material";
import {TListingOwnerData} from "../../types";

const OwnerInfo: FC<{ record: TListingOwnerData }> = (props) => {
    return <>
        <Tooltip title={"Percent of completed sales and number of items sold"}>
            <Typography variant={"body2"} component={"span"}>
                {props.record.owner.username} <Typography variant={"body2"} color={"secondary"}
                                                          component={"span"}>{props.record.owner.rating}%</Typography>
                <Typography
                    variant={"body2"} color={"secondary"}
                    component={"span"}>({props.record.owner.totalSold})</Typography>

            </Typography>

        </Tooltip>
    </>
}

export default OwnerInfo;