import React, {FC} from "react";
import {Grid, GridProps, Typography, useTheme} from "@mui/material";

const Header: FC<GridProps> = (props) => {
    const theme = useTheme();
    return <Grid item container sx={{borderBottom: `1px solid ${theme.palette.primary.light}`, padding: "0.5em 0 0 0"}}>
        <Typography variant={"body1"} fontWeight={"bold"}>{props.children}</Typography>
    </Grid>
}
export default Header;
