import React, {FC} from "react";
import {Grid, Typography} from "@mui/material";
import TransactionStatus from "./Status";
import {TTransaction} from "../../types";
import Receipt from "../Receipt";
import Header from "./Header";

const TransactionInfo: FC<{ transaction: TTransaction }> = (props) => {
    return (<>
        <Grid item container justifyContent={"space-between"} sx={{paddingBottom: "0.5em"}}>
            <Grid item>
                <Typography variant={"body2"}>Status</Typography>
            </Grid>
            <Grid item>
                <TransactionStatus status={props.transaction.status}
                                   fontWeight={"bold"}>{props.transaction.statusText}</TransactionStatus>
            </Grid>
        </Grid>
        <Grid item container justifyContent={"space-between"} sx={{paddingBottom: "0.5em"}}>
            <Grid item>
                <Typography variant={"body2"}>Created</Typography>
            </Grid>
            <Grid item>
                <Typography variant={"body2"}>{props.transaction.started}</Typography>
            </Grid>
        </Grid>
        <Grid item container justifyContent={"space-between"} sx={{paddingBottom: "0.5em"}}>
            <Grid item>
                <Typography variant={"body2"}>Updated</Typography>
            </Grid>
            <Grid item>
                <Typography variant={"body2"}>{props.transaction.updated}</Typography>
            </Grid>
        </Grid>
        {props.transaction.finished &&
            <Grid item container justifyContent={"space-between"} sx={{paddingBottom: "0.5em"}}>
                <Grid item>
                    <Typography variant={"body2"}>Completed</Typography>
                </Grid>
                <Grid item>
                    <Typography variant={"body2"}>{props.transaction.finished}</Typography>
                </Grid>
            </Grid>}
        <Grid item container direction={"column"}>
            <Header>Details</Header>
            <Receipt
                price={props.transaction.price}
                qty={<Typography variant={"body2"}>{props.transaction.qty}</Typography>}
                total={props.transaction.total}
                qtyTitle={`Quantity`}
                delivery={props.transaction.expire}
                deliveryTitle={"Delivery Timeframe"}
            />
        </Grid>


    </>)
}
export default TransactionInfo;