import React, {FC, useState} from "react"
import {TTransactionSerialCodesProps} from "../../types";
import Header from "./Header";
import {Grid, styled, useTheme} from "@mui/material";
import ContentCopyIcon from '@mui/icons-material/ContentCopy';
import CheckIcon from '@mui/icons-material/Check';


const CodeLine = styled('div')({
    marginLeft: "1em"
});
const TransactionSerialCodes: FC<TTransactionSerialCodesProps> = (props) => {
    const theme = useTheme();
    const [copied, setCopied] = useState<boolean>(false);
    const copyCode = (el: string) => {
        navigator.clipboard.writeText(el);
        setCopied(true);
        setTimeout(() => setCopied(false), 5000);
    }
    return <>
        {props.show && <Grid item container direction={"column"} sx={{marginBottom: "1em"}}>
            <Header>Serial Codes</Header>
            <Grid item sx={{paddingTop: '0.5em'}} container>
                {props.codes.map((el, i) => <Grid item container key={i} direction={"row"}
                                                  justifyContent={"space-between"}><Grid item>{el}</Grid><Grid item
                                                                                                               sx={{cursor: "pointer"}}>{copied ?
                    <CheckIcon fontSize={"small"} color={"success"}/> :
                    <ContentCopyIcon fontSize={"small"} color={"secondary"}
                                     onClick={() => copyCode(el)}/>}</Grid></Grid>)}
            </Grid>
        </Grid>}
    </>
}
export default TransactionSerialCodes;
