<?php declare(strict_types=1);

namespace Am\Marketplace\Slim\Controller;

use Am\Marketplace\Slim\Controller;
use Am\Marketplace\Slim\Response;
use Psr\Http\Message\ServerRequestInterface;

class DeleteCategory extends Controller
{
    
    
    function __invoke(ServerRequestInterface $request, Response $response, array $args): Response
    {
        $body = $request->getParsedBody();
        if (empty($body['id'])) {
            return $response->withJsonError("Category ID is empty");
        }
        
        $this->deleteCategory($body['id']);
        
        return $response->withJson(['ok' => 'true']);
    }
    
    function deleteCategory($category_id)
    {
        while ($child_id = $this->getDi()->db->selectCell("select category_id from ?_marketplace_category where parent_id=?",
            $category_id)) {
            $this->deleteCategory($child_id);
        }
        
        $this->getDi()->marketplaceCategoryTable->load($category_id)->delete();
    }
}