<?php declare(strict_types=1);

namespace Am\Marketplace\Slim\Controller;

use Am\Marketplace\Slim\Controller;
use Am\Marketplace\Slim\Response;
use Psr\Http\Message\ServerRequestInterface;

class ListCategories extends Controller
{
    
    function __invoke(ServerRequestInterface $request, Response $response, array $args): Response
    {
        $body = $request->getParsedBody();
        $type_id = $body['type_id'] ?? null;
        $list = $this->getModule()->categoryTable()->getListByType($type_id);
        return $response->withJson([
            'ok' => true,
            'list' => $list
        ]);
    }
}
