<?php declare(strict_types=1);

namespace Am\Marketplace\Slim\Controller;

use Am\Marketplace\Slim\Controller;
use Am\Marketplace\Slim\Response;
use Psr\Http\Message\ServerRequestInterface;
use User;

class Me extends Controller
{
    
    protected $fields = [
        'user_id',
        'login',
        'name_f',
        'name_l',
        'email',
    
    ];
    
    function prepareUser(User $user = null): ?array
    {
        if (is_null($user)) {
            return null;
        }
        
        $_ = [];
        foreach ($this->fields as $field) {
            $_[$field] = $user->get($field);
        }
        $_['canPostListings'] = $this->getModule()->isMarketplaceEnabled($user);
        $_['canSetQty'] = $this->getModule()->isMarketplaceQtyEnabled($user);
        $_['balance'] = $this->getBalance($user);
        $_['hasOrders'] = $this->getModule()->hasOrders($user);
        $_['hasSales'] = $this->getModule()->hasSales($user);
        
        $data = $user->data()->getBlob('marketplace-notify');
        $_['historyUpdates'] = array_map('array_values',
            !empty($data) ? json_decode($data, true) : ['sales' => [], 'orders' => []]);
        
        return $_;
        
    }
    
    function __invoke(ServerRequestInterface $request, Response $response, array $args): Response
    {
        $user = $this->getDi()->auth->getUser();
        return $response->withJson([
            'ok' => true,
            'currentUser' => $this->prepareUser($user)
        ]);
    }
}

