<?php declare(strict_types=1);

namespace Am\Marketplace\Slim\Middleware;

use Admin;
use Am\Marketplace\Slim\Response;
use Psr\Http\Message\ServerRequestInterface;
use Psr\Http\Server\MiddlewareInterface;
use Psr\Http\Server\RequestHandlerInterface;

class RequireSuperAdmin implements MiddlewareInterface
{
    
    public function process(ServerRequestInterface $request, RequestHandlerInterface $handler): Response
    {
        /**
         * @var Admin $admin
         */
        $admin = $request->getAttribute('admin');
        if (empty($admin)) {
            return Response::jsonError("Admin Authentication is required", 403);
        }
        if (!$admin->isSuper()) {
            return Response::jsonError("Only Super Admin Can access", 403);
        }
        return $handler->handle($request);
    }
}