<?php declare(strict_types=1);

namespace Am\Marketplace\Slim\Controller;

use Am\Marketplace\Slim\Controller;
use Am\Marketplace\Slim\Response;
use Psr\Http\Message\ServerRequestInterface;

class TConfig
{
    public int $maxUploadWith;
    public int $maxUploadSize;
    public string $buyCreditsUrl;
    public int $sellerDeliveryTimeframe;
    public int $buyerConfirmTimeframe;
    
    function __construct(array $config)
    {
        $this->maxUploadWith = intval($config['max-upload-width'] ?? 200);
        $this->maxUploadSize = intval($config['max-upload-size'] ?? 200);
        $this->buyCreditsUrl = $config['buy-credits-url'] ?? REL_ROOT_URL . "/signup";
        $this->sellerDeliveryTimeframe = intval($config['seller-delivery-timeframe'] ??36);
        $this->buyerConfirmTimeframe = intval($config['buyer-confrm-timeframe'] ?? 36);
        
        
    }
}

class Config extends Controller
{
    
    function __invoke(ServerRequestInterface $request, Response $response, array $args): Response
    {
        return $response->withJson([
            'ok' => true,
            'config' => new TConfig($this->getModule()->getConfig())
        ]);
    }
}