<?php

namespace Am\Marketplace\Slim\Middleware;

use Am\Marketplace\Container;
use Am\Marketplace\Slim\Response;
use Psr\Http\Message\ResponseInterface;
use Psr\Http\Message\ServerRequestInterface;
use Psr\Http\Server\MiddlewareInterface;
use Psr\Http\Server\RequestHandlerInterface;

class RequireMarketplaceAccess implements MiddlewareInterface
{
    
    public function process(ServerRequestInterface $request, RequestHandlerInterface $handler): ResponseInterface
    {
        /**
         * @var Container $container
         */
        $container = $request->getAttribute('container');
        if ($container->getModule()->isMarketplaceEnabled($request->getAttribute('user'))) {
            return $handler->handle($request);
        } else {
            return Response::jsonError(___("Permission denied. You can't access this section"));
        }
        
    }
}