import React from "react";

export type TSearchCategory = React.FC<{
    onChange?: (search: text) => void
}>

export type TCategory = {
    category_id?: string
    name?: string
    description?: string
    parent_id?: string
    sort?: string
    image?: string
    imageUrl?: string
}

export type TCategoryForm = React.FC<{
    show: boolean
    category?: TCategory
    onUpdate?: (category: TCategory) => Promise
    onSubmit?: (category: TCategory) => Promise
    onClose?: () => void
    parentId?: number
    formId: string
}>

export type THtmlEditor = React.FC<{
    show: boolean
    value?: string
    onChange?: (value: string) => void
}>

export type TCategoryListConfig = {
    parentId?: string | null
}
export type TCategoryList = {
    [key: string]: TCategory
}

export type TCategoryTreeItem = {
    id: string
    sort: string
    children: Array<TCategoryTreeItem>
}

export type TCategorySelectOption = {
    label: string
    value: string
    indent?: number
}