import {TCategoryChain} from "../../types";
import React, {FC} from "react";
import {Grid, Typography} from "@mui/material";

type TCategoryListProps = {
    categories: Array<TCategoryChain>
}
const CategoryList: FC<TCategoryListProps> = (props) => {
    return <Grid item xs={12}>
        <Typography variant={'body2'} color={'secondary'} sx={{display: "inline"}}>
            {props.categories.map((categoryChain, i) => categoryChain.map((category, i) => category.name).join("/")).join(", ")}
        </Typography>
    </Grid>
}
export default CategoryList
