import React, {FC} from "react"
import ImageNotSupportedIcon from '@mui/icons-material/ImageNotSupported';
import {styled, useTheme} from "@mui/material";

const Img = styled('img', {
    shouldForwardProp: (propName) => !(propName == 'maxWidth' || propName == 'maxHeight')
})<{ maxWidth: string, maxHeight: string }>((props) => ({
    maxHeight: props.maxHeight,
    maxWidth: props.maxWidth,
    overflow: "hidden",
}));
const ListingImage: FC<{ src: string | null, maxWidth: string, maxHeight: string }> = (props) => {
    const theme = useTheme();
    return <>
        {props.src == null ? <ImageNotSupportedIcon fontSize={"large"} color={"secondary"}/> :
            <Img maxWidth={props.maxWidth} maxHeight={props.maxHeight} src={props.src}/>}
    </>
}
export default ListingImage;