import React, {FC} from "react"
import {Grid, Typography} from "@mui/material";
import {TReceiptProps} from "../types";

const Receipt: FC<TReceiptProps> = (props) => {
    return (<>
        <Grid item container alignItems={"flex-start"} justifyContent={"space-between"}
              sx={{marginBottom: "0.5em", marginTop: "0.5em"}}>
            <Grid item>
                <Typography variant={"body2"}>Price</Typography>
            </Grid>
            <Grid item>
                <Typography variant={"body2"}>{props.price}</Typography>
            </Grid>
        </Grid>

        <Grid item container alignItems={"center"} justifyContent={"space-between"} sx={{marginBottom: "0.5em"}}>
            <Grid item>
                <Typography variant={"body2"}>{props.qtyTitle}</Typography>
            </Grid>
            <Grid item>
                {props.qty}
            </Grid>
        </Grid>
        <Grid item container alignItems={"flex-start"} justifyContent={"space-between"} sx={{marginBottom: "0.5em"}}>
            <Grid item>
                <Typography variant={"body1"} fontWeight={"bold"}>Total</Typography>
            </Grid>
            <Grid item>
                <Typography variant={"body1"} fontWeight={"bold"}>{props.total}</Typography>
            </Grid>
        </Grid>
        <Grid item container alignItems={"flex-start"} justifyContent={"space-between"} sx={{marginBottom: "0.5em"}}>
            <Grid item>
                <Typography variant={"body1"} fontWeight={"bold"}>Delivery Speed</Typography>
            </Grid>
            <Grid item>
                <Typography variant={"body1"} fontWeight={"bold"}>{props.delivery}</Typography>
            </Grid>
        </Grid>

    </>)
}
export default Receipt
