import React, {useState} from "react"

import {Grid, Typography} from "@mui/material";
import SearchBar from "../SearchBar";
import {useMarketplaceStore} from "../../Store";
import {observer} from "mobx-react";

const FilterBar = observer(() => {
    const [showFilter, toggleFilter] = useState(false);
    const transactionsStore = useMarketplaceStore().transactions;


    return <>
        <Grid item xs={6}>
            <SearchBar filterIcon={false}
                       onSearchChange={(text) => transactionsStore.setFilter(text)}
                       search={transactionsStore.filter}
            />
        </Grid>
        <Grid container item xs={12} sx={{paddingTop: '1em'}} justifyContent={"space-between"}
              alignItems={"center"}>
            <Grid item>
                <Typography variant={"body2"}>Found:&nbsp;{transactionsStore.total}&nbsp;items</Typography>
            </Grid>
        </Grid>
    </>
})
export default FilterBar;

