import React, {FC} from "react"
import {Typography, TypographyProps, useTheme} from "@mui/material";


const Status: FC<{ status: string } & TypographyProps> = (props) => {
    const theme = useTheme();
    let color = 'secondary'
    let text = props.status
    switch (props.status) {
        case 'pending' :
            color = theme.palette.warning.light
            break
        case 'expired' :
        case 'reverted' :
            color = theme.palette.error.light
            break
        case 'completed' :
            color = theme.palette.success.main
            break
    }

    return <Typography variant={"body2"} color={color} {...props} />
}

export default Status;