import {useMarketplaceStore} from "./index";
import {TNavigationTab} from "../types";
import React from "react";
import {Badge} from "@mui/material";

const useNavigationTabs = () => {
    const store = useMarketplaceStore();
    const tabs: Array<TNavigationTab> = [
        {
            regex: /\/.*/,
            to: "/",
            label: "Home",
            order: 1,
            value: 999
        }
    ];

    if (store.userStore.user != null) {
        if (store.userStore.user.canPostListings) {
            tabs.push({
                    regex: /\/my.*/,
                    to: "/my",
                    label: "My Items",
                    order: 2,
                    value: 1
                }
            )
        }
        if (store.userStore.user.hasSales) {
            tabs.push({
                    regex: /\/history\/sales.*/,
                    to: "/history/sales",
                    label: store.userStore.historyUpdates.sales.length ?
                        <Badge badgeContent={store.userStore.historyUpdates.sales.length}
                               color="error">Sales</Badge> : "Sales",
                    order: 3,
                    value: 2,
                },
            );

        }
        if (store.userStore.user.hasOrders) {
            tabs.push({
                    regex: /\/history(\/orders)*.*/,
                    to: "/history/orders",
                    label: store.userStore.historyUpdates.orders.length ?
                        <Badge badgeContent={store.userStore.historyUpdates.orders.length}
                               color="error">Orders</Badge> : "Orders",
                    order: 4,
                    value: 3,
                },
            );

        }

    }
    return tabs;
}

export default useNavigationTabs;