<?php declare(strict_types=1);

namespace Am\Marketplace\Slim\Controller;

use Am\Marketplace\Slim\Controller;
use Am\Marketplace\Slim\Response;
use Psr\Http\Message\ServerRequestInterface;

class CategoryTypes extends Controller
{
    
    function __invoke(ServerRequestInterface $request, Response $response, array $args): Response
    {
        $list = $this->getDi()->db->selectPage($total,
            "select * from ?_marketplace_category_type order by sort_order+0 ");
        foreach ($list as $i => $type) {
            $list[$i]['list'] = $this->getModule()->categoryTable()->getListByType($type['type_id']);
        }
        
        return $response->withJson([
            'ok' => true,
            'list' => $list,
            'total' => $total
        ]);
    }
}