<?php declare(strict_types=1);

namespace Am\Marketplace\Slim\Middleware;

use Am\Marketplace\Slim\Response;
use Psr\Http\Message\ServerRequestInterface;
use Psr\Http\Server\MiddlewareInterface;
use Psr\Http\Server\RequestHandlerInterface;

class RequireAdminAuth implements MiddlewareInterface
{
    
    public function process(ServerRequestInterface $request, RequestHandlerInterface $handler): Response
    {
        $container = $request->getAttribute('container');
        if ($admin = $container->get('authAdmin')->getUser()) {
            return $handler->handle($request->withAttribute('admin', $admin));
        } else {
            return Response::jsonError(___('Admin authentication required'));
        }
    }
}

