<?php

class Am_Form_Setup_Marketplace extends Am_Form_Setup
{
    function __construct()
    {
        parent::__construct('marketplace');
        $this->setTitle(___('Marketplace'));
        
    }
    
    function initElements()
    {
        // $this->addHtmlEditor('marketplace.safe-deal-instructions')->setLabel(___('Safe Deal Instructions
        // displayed in add form and on purchase'));
        
        $this->addAdvCheckbox('marketplace.free-access')->setLabel(___('Do not require login to access listings'));
        $this->addInteger("marketplace.max-upload-width")->setLabel(___('Listing Image max width in pixels'));
        $this->addInteger("marketplace.max-upload-size")->setLabel(___('Listing Image max size in Kb'));
        
        $this->addSelect("marketplace.buy-credits-form")->setLabel("Signup form used to buy more credits
        If user doesn't have enough credits,
        user will be redirected to this form tio buy more credits")
            ->loadOptions(['' => '-- Please Select --'] + $this->getDi()->savedFormTable->getOptions(SavedForm::T_SIGNUP));
        
        
        $this->addInteger('marketplace.seller-delivery-timeframe')->setLabel(___("Timeframe to deliver item in hours
        How many hours seller have to deliver item. After that period, transaction will be reverted automatically
        if seller didn't deliver item
        "));
        $this->addInteger('marketplace.buyer-confirm-timeframe')->setLabel(___("Timeframe to complete sale in hours
        How many hours buyer have to confirm  sale. After that period, transaction will be marked as expired
        if seller didn't deliver item. Credits will not be returned in this case
        "));
        
        $this->setDefault("marketplace.max-upload-size", 200);
        $this->setDefault("marketplace.max-upload-width", 200);
        $this->setDefault("marketplace.buy-credits-form", REL_ROOT_URL . '/signup');
        $this->setDefault('marketplace.seller-delivery-timeframe', 36);
        $this->setDefault('marketplace.buyer-confirm-timeframe', 36);
        
        $fs = $this->addAdvFieldset()->setLabel(___('Email Notifications'));
        
        $fs->addElement('email_checkbox',
            'marketplace.admin_new_listing')->setLabel(___("New listing notification to admin"));
        
        $fs->addElement('email_link',
            'marketplace.new_sale')->setLabel(___("New Sale notification to seller"));
        
        $fs->addElement('email_link',
            'marketplace.transaction_status_changed_seller')->setLabel(___("Transaction status changed notification to Seller"));
        
        $fs->addElement('email_link',
            'marketplace.transaction_status_changed_buyer')->setLabel(___("Transaction status changed notification to Buyer"));
        
        $fs->addElement('email_link',
            'marketplace.deliver_item')->setLabel(___("Request to send item notification
            will be sent to seller each four starting from three hours of delivery time frame expiration"));
        
        $fs->addElement('email_link',
            'marketplace.confirm_sale')->setLabel(___("Request to confirm sale notification
            will be sent to customer each four starting from three hours of confirm time frame expiration"));
        
        
    }
    
}
