<?php

namespace Amember;

class Redirect
{
    static function doRedirect(\XF\Mvc\Dispatcher $dispatcher, \XF\Mvc\RouteMatch $routeMatch)
    {
        if ('Admin' == \XF::app()->container('app.classType')) return;

        $isAjax = $dispatcher->getRequest()->isXhr();

        if ($routeMatch->getController() == 'XF:Account'
            && strpos($routeMatch->getAction(), 'security') === 0) {
            self::redirect('/profile', $isAjax, false);
        }

        if ($routeMatch->getController() == 'XF:Register') {
            self::redirect('/signup', $isAjax, false);
        }

        if ($routeMatch->getController() == 'XF:Login'
            || $routeMatch->getController() == 'XF:LostPassword') {
            self::redirect('/login', $isAjax);
        }

        if ($routeMatch->getController() == 'XF:Logout') {
            self::redirect('/logout', $isAjax);
        }
    }

    static function redirect($url, $isAjax = false, $add_back_url = true)
    {
        $base_url = \XF::options()->amRootUrl;

        $params = array();
        if ($add_back_url) {
            $params['_amember_redirect_url'] = base64_encode(\XF::options()->boardUrl);
        }

        $redirect = "$base_url$url" . ($params ? '?' . http_build_query($params) : '');

        if ($isAjax) {
            $redirect = json_encode($redirect);
            header("Content-Type: application/json; charset=UTF-8");
            echo json_encode([
                'status' => 'ok',
                'html' => <<<CUT
<script type="text/javascript">window.location = $redirect;</script>
CUT
                ,
            ]);
        } else {
            header("Location: $redirect");
        }
        exit;
    }
}